program PHExtension;

procedure ApplyColorScheme;
var
  backColor,
  backColorTo,
  borderColor,
  fontColor:TColor;
  fontName:string;
  fontSize:integer;
begin
  GetColorScheme(backColor,backColorTo,borderColor, fontColor, fontName, fontSize);
  Self.Color:=backColor;
  Self.Font.Color:=fontColor;
  Self.Font.Name:=fontName;
  Self.Font.Size:=fontSize;
  lbPage.Font.Style:=[fsBold];
end;

procedure TabSheet_OnShow(Sender: TObject);
begin
  lbPage.Caption:=TTabSheet(Sender).Caption;
  lbPageInfo.Caption:=TTabSheet(Sender).Hint;
end;

procedure HideWizardTabs;
var
  i:integer;
begin
  pcWizard.ActivePageIndex:=-1;
  for i:=pcWizard.PageCount-1 downto 0 do
  begin
    pcWizard.Pages[i].TabVisible := False;
    pcWizard.Pages[i].OnShow := @TabSheet_OnShow;  
  end;
  pcWizard.ActivePageIndex:=0;  
end;

procedure sbClose_OnClick(Sender: TObject);
begin
  // do something before close
  Self.Close;
end;

procedure sbBack_OnClick(Sender: TObject);
begin
  // sample code to handle navigation back
  if pcWizard.ActivePageIndex=0 then
    sbClose_OnClick(nil)
  else
  begin
    pcWizard.ActivePageIndex:=pcWizard.ActivePageIndex-1;
  end    
end;

procedure sbNext_OnClick(Sender: TObject);
begin
  // sample code to handle navigation forward
  if pcWizard.ActivePageIndex=pcWizard.PageCount-1 then
    sbClose_OnClick(nil)
  else
  begin
    pcWizard.ActivePageIndex:=pcWizard.ActivePageIndex+1;
  end
end;

procedure AssignEvents;
begin  
  sbClose.OnClick := @sbClose_OnClick;
  sbBack.OnClick := @sbBack_OnClick;
  sbNext.OnClick := @sbNext_OnClick;
end;

begin
  Self.Position:=poScreenCenter;
  ApplyColorScheme;
  AssignEvents;
  HideWizardTabs;  
  ScriptResult := SCRIPT_OK;
  Self.ShowModal;
end.